Bug 107938 - Tiled area background bitmap flawed with line in PDF export, if using gradient transparency
Summary: Tiled area background bitmap flawed with line in PDF export, if using gradien...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-05-18 19:18 UTC by bugzilla
Modified: 2020-07-18 12:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
the tiled image used to reproduce the bug (830.87 KB, image/jpeg)
2017-05-18 19:19 UTC, bugzilla
Details
Example of this bug in 6.1.6.3 (16.40 KB, image/jpeg)
2019-07-23 01:01 UTC, bugzilla
Details
Example file (problem not reproduced) (880.38 KB, application/vnd.oasis.opendocument.graphics)
2019-08-03 16:49 UTC, Buovjaga
Details
odg that reproduces the problem (1.19 MB, application/vnd.oasis.opendocument.graphics)
2019-08-03 20:27 UTC, bugzilla
Details
pdf exported from the odg in draw 6.1, jpg compression at 100% (230.42 KB, application/pdf)
2019-08-03 20:28 UTC, bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2017-05-18 19:18:36 UTC
Description:
An exported PDF from a document with a rectangular area created with a tiled background bitmap shows a single white line running through that background image.  The original Draw document does not show that white line.  

Steps to Reproduce:
1.  Create a large rectangular area.
2.  Set the background to a tiled bitmap, size 3% by 3%
3.  Export to PDF

Actual Results:  
PDF image contains a white line (sometimes several) running through the rectangular area.

Expected Results:
The rectangular area should not display any white lines.  The tiled rectangle in Draw does not show them.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 bugzilla 2017-05-18 19:19:53 UTC
Created attachment 133392 [details]
the tiled image used to reproduce the bug
Comment 2 bugzilla 2017-05-18 20:16:13 UTC
You should zoom to at least 200% to see the white line.
Comment 3 Buovjaga 2017-05-25 12:28:27 UTC
Not reproduced here.
I also tried gtk3 backend.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 6b5fc059543c16759abd5eec2576b5b68e96883a
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 21st 2017

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.3.2
Build ID: 5.3.3-1
CPU Threads: 8; OS Version: Linux 4.10; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 4 Xisco Faulí 2017-05-25 13:22:38 UTC
At first glance it looks like a duplicate of bug 108056

*** This bug has been marked as a duplicate of bug 108056 ***
Comment 5 bugzilla 2019-07-23 01:00:26 UTC
Reopened, as this was not fixed with 108056 and I cannot reopen that.  Attached is another example of the problem with 6.1.6.3.
Comment 6 bugzilla 2019-07-23 01:01:02 UTC
Created attachment 152948 [details]
Example of this bug in 6.1.6.3
Comment 7 Buovjaga 2019-08-03 16:49:24 UTC
Created attachment 153119 [details]
Example file (problem not reproduced)

Can you reproduce with this file? Because I can't. If you can't, then attach an odg file that reproduces the problem.
Comment 8 bugzilla 2019-08-03 20:26:20 UTC
I can't get your file to export as a PDF.  Just takes up 100% of my CPU for many minutes.  I'm uploading an ODG and PDF.
Comment 9 bugzilla 2019-08-03 20:27:25 UTC
Created attachment 153121 [details]
odg that reproduces the problem
Comment 10 bugzilla 2019-08-03 20:28:25 UTC
Created attachment 153122 [details]
pdf exported from the odg in draw 6.1, jpg compression at 100%
Comment 11 QA Administrators 2019-08-04 05:50:49 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2019-08-04 06:14:10 UTC
Ok, now we're getting somewhere. The reason is the linear transparency applied to the area fill. Same problem is seen, if using axial transparency as well. If using solid or none, the problem is not seen. Problem is already in version 3.3.0 (tested on Win 10)

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 4bd1b38633d6cb288eb559afc0ac6b961538ae60
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 24 July 2019